<!doctype html>
<html lang="es">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sizing</title>

    <!-- CSS de bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet">
    
  </head>
  <body>    
    <style>
      .ancho{
        background-color: blueviolet;
      }

      .rosa{
        background: #ff6b95;
        height: 200px;
      }

      .morado{
        background: #6C6FA0;
      }
    </style>

    <div class="container">
        <div class="row mb-3 mt-2">
            <div class="col-12">
                <div class="w-100 ancho p-4">
                  Columna de ancho 100
                </div>
            </div>
        </div>

        <div class="row mb-3">
            <div class="col-12">
                <div class="w-75 ancho p-4">
                  Columna de ancho 75
                </div>
            </div>
        </div>

        <div class="row mb-3">
            <div class="col-12">
                <div class="w-50 ancho p-4">
                  Columna de ancho 50
                </div>
            </div>
        </div>

        <div class="row mb-3">
            <div class="col-12">
              <div class="w-25 ancho p-4">
                Columna de ancho 25
              </div>
            </div>
        </div>

        <div class="row">
          <div class="col-12">
            <div class="w-auto ancho p-4">
              Columna de ancho automatico
            </div>
          </div>
        </div>

        <br>

        <div class="row">
            <div class="col-12">
              <div style="height: 100px; background-color: rgba(255,0,0,0.1);">
              <div class="h-25 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 25%</div>
              <div class="h-50 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 50%</div>
              <div class="h-75 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 75%</div>
              <div class="h-100 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 100%</div>
              <div class="h-auto d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height auto</div>
            </div>
          </div>

          <div class="col-12 rosa">
            <div class="h-100 morado d-inline-block">altura 100%</div>
            <div class="h-75 morado d-inline-block">altura 75%</div>
            <div class="h-50 morado d-inline-block">altura 50%</div>
            <div class="h-25 morado d-inline-block">altura 25%</div>
          </div>
        </div>

    </div>


    <!-- Jquery 3.6 -->
    <script src="js/jquery.js"></script>
    <!-- Production version -->
    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <!-- JS de bootstrap -->
    <script src="js/bootstrap.min.js"></script>
  
  </body>
</html>